Subject: Re: [Ntp] Éric Vyncke's Discuss on draft-ietf-ntp-yang-data-model-15: (with DISCUSS and COMMENT)

From: Dhruv Dhody <[email-masked]>
Date: Thu, 9 Dec 2021 22:29:19 +0530

Hi Eric,

Firstly let me apologize for this very late reply. Secondly thanks for your
review. I was finally able to make all the changes.

On Mon, Jun 28, 2021 at 3:45 PM Éric Vyncke via Datatracker <
[email-masked]> wrote:

> Éric Vyncke has entered the following ballot position for
> draft-ietf-ntp-yang-data-model-15: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ntp-yang-data-model/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> Thank you for the work put into this document.
>
> Special thanks for Dieter Sibold as the document shepherd write-up includes
> text about the WG consensus.
>
> Please find below one blocking DISCUSS point (but really trivial and easy
> to
> address), some non-blocking COMMENT points (but replies would be
> appreciated),
> and some nits.
>
> I hope that this helps to improve the document,
>
> Regards,
>
> -éric
>
> -- Section 13.1 --
> As RFC 7317 is imported by the YANG module, it must be a normative
> reference.
>
>
Dhruv: Agreed, done!

>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Should the NTP version(s) be mentioned in the abstract ?
>
>
Dhruv: Okay. It now says - "This document defines a YANG data model for
Network Time Protocol (NTP) version 4 implementations. It can also be used
to configure version 3.

> -- Section 1 --
> The text appears to indicate that the associations can be configured while
> the
> tree diagram indicateds tha associations are read-only. Should the
> associations
> text moved to the section 1.1 (i.e., operational states) ?
>
>
Dhruv: I have done some rewording to make it clear.

> -- Section 1.5 --
> Using a table for listing references is unusual. Is there a reason why this
> form is used ?
>
>
Dhruv: It is a good practice to make sure we track all the references used
in YANG so that the XML2RFC can throw an error if the reference is not
included in the RFC.

> -- Section 8 --
> Should there be more constraints on "ntp-version" ? I.e., a minimum of 3 ?
>
> Dhruv: Added.

Thanks!
Dhruv

Diff:
https://www.ietf.org/rfcdiff?url1=draft-ietf-ntp-yang-data-model-15&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt
Working Copy:
https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt

Consolidated Review Status:
https://notes.ietf.org/draft-ietf-ntp-yang-data-model

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 9 Dec 2021 21:29:12 +0000

Thank you, Dhruv, for your reply and action. About the last point (table 2 with all references), unusual but smart ;-)

Regards,

-éric

From: Dhruv Dhody <[email-masked]>
Date: Thursday, 9 December 2021 at 18:00
To: Eric Vyncke <[email-masked]>
Cc: The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, NTP WG <[email-masked]>, Dieter Sibold <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-ntp-yang-data-model-15: (with DISCUSS and COMMENT)

Hi Eric,

Firstly let me apologize for this very late reply. Secondly thanks for your review. I was finally able to make all the changes.

On Mon, Jun 28, 2021 at 3:45 PM Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Éric Vyncke has entered the following ballot position for
draft-ietf-ntp-yang-data-model-15: Discuss

Please find below one blocking DISCUSS point (but really trivial and easy to
address), some non-blocking COMMENT points (but replies would be appreciated),
and some nits.

Regards,

-éric

-- Section 13.1 --
As RFC 7317 is imported by the YANG module, it must be a normative reference.

Dhruv: Agreed, done!

Dhruv: Okay. It now says - "This document defines a YANG data model for Network Time Protocol (NTP) version 4 implementations. It can also be used to configure version 3.

-- Section 1 --
The text appears to indicate that the associations can be configured while the
tree diagram indicateds tha associations are read-only. Should the associations
text moved to the section 1.1 (i.e., operational states) ?

-- Section 1.5 --

Dhruv: It is a good practice to make sure we track all the references used in YANG so that the XML2RFC can throw an error if the reference is not included in the RFC.

-- Section 8 --

Thanks!
Dhruv

Diff: https://www.ietf.org/rfcdiff?url1=draft-ietf-ntp-yang-data-model-15&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt
Working Copy: https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt
Consolidated Review Status: https://notes.ietf.org/draft-ietf-ntp-yang-data-model